%define sel_vars  mls strict targeted 
%define sel_pver  %(rpm -q selinux-policy-devel --qf '%{VERSION}')
%define sel_mod   pp-rpms


Summary:          SELinux policy module for PPs RPMs
Name:             selinux-policy-addon
Version:          0.2.4
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Base
Source0:          ftp://ftp.pramberger.at/software/projects/%{name}-%{version}.tar.gz
URL:              ftp://ftp.pramberger.at/software/projects/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Peter Pramberger <peterpramb@member.fsf.org>
Requires(post):   %{_sbindir}/semanage %{_sbindir}/semodule
Requires(postun): %{_sbindir}/semanage %{_sbindir}/semodule
Requires:         selinux-policy >= %{sel_pver}
Buildrequires:    checkpolicy selinux-policy-devel
BuildArch:        noarch


%description
This package contains a policy module needed to extend the main
SELinux policy to support the following packages:

        archzoom             (el5.pp)
        bacula-gui-bimagemgr (el5.pp)
        bacula-gui-bweb      (el5.pp)
        bind                 (el5.pp)
        bind-lwresd          (el5.pp)
        dbeacon              (el5.pp)
        ntp                  (el5.pp)
        php-eaccelerator     (el5.pp)
        php-mmcache          (el5.pp)
        sks                  (el5.pp)
        squid                (el5.pp)


%prep
%setup -q


%build
pushd rhel5
for VARIANT in %{sel_vars}; do
  %{__make} NAME=${VARIANT} -f %{_datadir}/selinux/devel/Makefile
  %{__mv}   %{sel_mod}.pp ../%{sel_mod}.pp.${VARIANT}
  %{__make} NAME=${VARIANT} -f %{_datadir}/selinux/devel/Makefile clean
done
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/selinux

for VARIANT in %{sel_vars}; do
  %{__mkdir} ${RPM_BUILD_ROOT}%{_datadir}/selinux/${VARIANT}

  %{__install} -m 0644 %{sel_mod}.pp.${VARIANT} \
	${RPM_BUILD_ROOT}%{_datadir}/selinux/${VARIANT}/%{sel_mod}.pp
done


%post
for VARIANT in %{sel_vars}; do
  %{_sbindir}/semodule -s ${VARIANT} \
	-i %{_datadir}/selinux/${VARIANT}/%{sel_mod}.pp &>/dev/null || :

  %{_sbindir}/semanage port -a -t dns_port_t  -p udp 921 &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then	# Remove
  for VARIANT in %{sel_vars}; do
    %{_sbindir}/semodule -s ${VARIANT} -r %{sel_mod} &>/dev/null || :
  done

  %{_sbindir}/semanage port -d -t dns_port_t  -p udp 921 &>/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog rhel5/README
%doc rhel5/%{sel_mod}.{fc,te}
%{_datadir}/selinux/*/%{sel_mod}.pp


%changelog
* Sun Jun 21 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.4-1
- New version (0.2.4)

* Sat Feb 14 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.3-1
- New version (0.2.3)

* Fri Jan 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2-1
- New version (0.2.2)

* Mon Aug 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1-1
- New version (0.2.1)

* Fri Apr 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-1
- Initial build
